com.hazelcast.org.snakeyaml.engine.v1.common

## Class CharConstants

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.common.CharConstants

-     public final class CharConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CharConstants` | `ALPHA`
    `static Pattern` | `ANCHOR_FORMAT`
    `static Map<Character,Integer>` | `ESCAPE_CODES` A mapping from a character to a number of bytes to read-ahead for that escape sequence.
    `static Map<Integer,Character>` | `ESCAPE_REPLACEMENTS` A mapping from an escaped character in the input stream to the character that they should be replaced with.
    `static Map<Character,Integer>` | `ESCAPES` A mapping from a character to be escaped to its code in the output stream.
    `static CharConstants` | `LINEBR`
    `static CharConstants` | `NULL_BL_LINEBR`
    `static CharConstants` | `NULL_BL_T`
    `static CharConstants` | `NULL_BL_T_LINEBR`
    `static CharConstants` | `NULL_OR_LINEBR`
    `static CharConstants` | `URI_CHARS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `has(int c)`
    `boolean` | `has(int c, String additional)`
    `boolean` | `hasNo(int c)`
    `boolean` | `hasNo(int c, String additional)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINEBR

          public static final CharConstants LINEBR

    - #### NULL_OR_LINEBR

          public static final CharConstants NULL_OR_LINEBR

    - #### NULL_BL_LINEBR

          public static final CharConstants NULL_BL_LINEBR

    - #### NULL_BL_T_LINEBR

          public static final CharConstants NULL_BL_T_LINEBR

    - #### NULL_BL_T

          public static final CharConstants NULL_BL_T

    - #### URI_CHARS

          public static final CharConstants URI_CHARS

    - #### ALPHA

          public static final CharConstants ALPHA

    - #### ANCHOR_FORMAT

          public static final Pattern ANCHOR_FORMAT

    - #### ESCAPE_REPLACEMENTS

          public static final Map<Integer,Character> ESCAPE_REPLACEMENTS

      A mapping from an escaped character in the input stream to the character that they should be replaced with.

      YAML defines several common and a few uncommon escape sequences.

    - #### ESCAPES

          public static final Map<Character,Integer> ESCAPES

      A mapping from a character to be escaped to its code in the output stream. (used for emitting) It contains the same as ESCAPE_REPLACEMENTS except ' ' and '/'

      YAML defines several common and a few uncommon escape sequences.

      See Also:
        5.7. Escaped Characters

    - #### ESCAPE_CODES

          public static final Map<Character,Integer> ESCAPE_CODES

      A mapping from a character to a number of bytes to read-ahead for that escape sequence. These escape sequences are used to handle unicode escaping in the following formats, where H is a hexadecimal character:

           \xHH         : escaped 8-bit Unicode character
           \uHHHH       : escaped 16-bit Unicode character
           \UHHHHHHHH   : escaped 32-bit Unicode character

  - ### Method Detail

    - #### has

          public boolean has(int c)

    - #### hasNo

          public boolean hasNo(int c)

    - #### has

          public boolean has(int c,
                             String additional)

    - #### hasNo

          public boolean hasNo(int c,
                               String additional)

Copyright © 2020. All rights reserved.